[espeak-ng:master] reported: autogen.sh succeeds only on second try #github


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #941 autogen.sh succeeds only on second try
By jasonhemann:

@rhdunn , no it did not, actually. Although that change moves the problematic line to line num 2438.


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #941 autogen.sh succeeds only on second try
By jasonhemann:

I do have the required autotools programs.

bash-4.2$ which make
/usr/bin/make
bash-4.2$ which autoconf
/usr/bin/autoconf
bash-4.2$ which automake
/usr/bin/automake
bash-4.2$ which libtool
/usr/bin/libtool
bash-4.2$ which pkg-config
/usr/bin/pkg-config
bash-4.2$ which gcc
/opt/rh/devtoolset-8/root/usr/bin/gcc
bash-4.2$ libtoolize -i -f
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: linking file `m4/libtool.m4'
libtoolize: linking file `m4/ltoptions.m4'
libtoolize: linking file `m4/ltsugar.m4'
libtoolize: linking file `m4/ltversion.m4'
libtoolize: linking file `m4/lt~obsolete.m4'
bash-4.2$ ./autogen.sh
configure.ac:4: installing './config.guess'
configure.ac:4: installing './config.sub'
configure.ac:3: installing './install-sh'
configure.ac:4: error: required file './ltmain.sh' not found
configure.ac:3: installing './missing'
Makefile.am:436: warning: '%'-style pattern rules are a GNU make extension
Makefile.am:447: warning: '%'-style pattern rules are a GNU make extension
Makefile.am:450: warning: '%'-style pattern rules are a GNU make extension
Makefile.am: installing './INSTALL'
Makefile.am:209: warning: compiling 'src/espeak-ng.c' in subdir requires 'AM_PROG_CC_C_O' in 'configure.ac'
Makefile.am: installing './depcomp'
bash-4.2$ ./autogen.sh
libtoolize: putting auxiliary files in `.'.
libtoolize: linking file `./ltmain.sh'
Makefile.am:436: warning: '%'-style pattern rules are a GNU make extension
Makefile.am:447: warning: '%'-style pattern rules are a GNU make extension
Makefile.am:450: warning: '%'-style pattern rules are a GNU make extension
Makefile.am:209: warning: compiling 'src/espeak-ng.c' in subdir requires 'AM_PROG_CC_C_O' in 'configure.ac'

I don't have Kramdown, but that doesn't seem like it should affect ltmain.